# Uses of Interface
org.opensaml.saml.ext.saml1md.SourceID

Packages that use SourceID
Package
Description
org.opensaml.saml.ext.saml1md.impl
Implementation for SAML 1.x Metadata Profile.

## Uses of SourceID in org.opensaml.saml.ext.saml1md.impl

Classes in org.opensaml.saml.ext.saml1md.impl that implement SourceID
Modifier and Type
Class
Description
`class`
`SourceIDImpl`
Concrete implementation of `SourceID`.
Methods in org.opensaml.saml.ext.saml1md.impl that return SourceID
Modifier and Type
Method
Description
`SourceID`
SourceIDBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`SourceID`
SourceIDBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.